## org.codehaus.groovy.ast.stmt
Class SynchronizedStatement

Represents a synchronized statement

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`Statement` | `code`
`Expression` | `expression`

Constructor Summary
`SynchronizedStatement(Expression expression, Statement code)`

Method Summary
`Statement` | `getCode()`
`Expression` | `getExpression()`
`void` | `setExpression(Expression expression)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### SynchronizedStatement

    public SynchronizedStatement(Expression expression, Statement code)

Method Detail

### getCode

    public Statement getCode()

### getExpression

    public Expression getExpression()

### setExpression

    public void setExpression(Expression expression)

### visit

    public void visit(GroovyCodeVisitor visitor)